Index: serefpolicy-contrib-20140730/speech-dispatcher.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/speech-dispatcher.te
@@ -0,0 +1,51 @@
+policy_module(speech-dispatcher, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type speech-dispatcher_t;
+type speech-dispatcher_exec_t;
+init_daemon_domain(speech-dispatcher_t, speech-dispatcher_exec_t)
+application_executable_file(speech-dispatcher_exec_t)
+
+type speech-dispatcher_log_t;
+logging_log_file(speech-dispatcher_log_t)
+
+type speech-dispatcher_unit_file_t;
+systemd_unit_file(speech-dispatcher_unit_file_t)
+
+type speech-dispatcher_tmp_t;
+files_tmp_file(speech-dispatcher_tmp_t)
+
+type speech-dispatcher_tmpfs_t;
+files_tmpfs_file(speech-dispatcher_tmpfs_t)
+
+########################################
+#
+# speech-dispatcher local policy
+#
+allow speech-dispatcher_t self:process { fork signal_perms };
+allow speech-dispatcher_t self:fifo_file rw_fifo_file_perms;
+allow speech-dispatcher_t self:unix_stream_socket create_stream_socket_perms;
+allow speech-dispatcher_t self:tcp_socket create_socket_perms;
+
+manage_dirs_pattern(speech-dispatcher_t, speech-dispatcher_log_t, speech-dispatcher_log_t)
+manage_files_pattern(speech-dispatcher_t, speech-dispatcher_log_t, speech-dispatcher_log_t)
+logging_log_filetrans(speech-dispatcher_t, speech-dispatcher_log_t, { dir })
+
+manage_files_pattern(speech-dispatcher_t, speech-dispatcher_tmp_t, speech-dispatcher_tmp_t)
+files_tmp_filetrans(speech-dispatcher_t, speech-dispatcher_tmp_t, { file })
+
+manage_files_pattern(speech-dispatcher_t, speech-dispatcher_tmpfs_t, speech-dispatcher_tmpfs_t)
+fs_tmpfs_filetrans(speech-dispatcher_t, speech-dispatcher_tmpfs_t, { file })
+
+kernel_read_system_state(speech-dispatcher_t)
+
+auth_read_passwd(speech-dispatcher_t)
+
+corenet_tcp_connect_pdps_port(speech-dispatcher_t)
+
+dev_read_urand(speech-dispatcher_t)
+
Index: serefpolicy-contrib-20140730/speedtouch.te
===================================================================
--- serefpolicy-contrib-20140730.orig/speedtouch.te
+++ serefpolicy-contrib-20140730/speedtouch.te
@@ -39,16 +39,12 @@ dev_read_usbfs(speedmgmt_t)
 
 domain_use_interactive_fds(speedmgmt_t)
 
-files_read_etc_files(speedmgmt_t)
-files_read_usr_files(speedmgmt_t)
 
 fs_getattr_all_fs(speedmgmt_t)
 fs_search_auto_mountpoints(speedmgmt_t)
 
 logging_send_syslog_msg(speedmgmt_t)
 
-miscfiles_read_localization(speedmgmt_t)
-
 userdom_dontaudit_use_unpriv_user_fds(speedmgmt_t)
 userdom_dontaudit_search_user_home_dirs(speedmgmt_t)
 
Index: serefpolicy-contrib-20140730/squid.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/squid.fc
+++ serefpolicy-contrib-20140730/squid.fc
@@ -1,20 +1,24 @@
-/etc/squid(/.*)?	gen_context(system_u:object_r:squid_conf_t,s0)
+/etc/rc\.d/init\.d/squid --	gen_context(system_u:object_r:squid_initrc_exec_t,s0)
+/etc/squid(/.*)?		gen_context(system_u:object_r:squid_conf_t,s0)
+/etc/lightsquid(/.*)?		gen_context(system_u:object_r:squid_conf_t,s0)
 
-/etc/rc\.d/init\.d/squid	--	gen_context(system_u:object_r:squid_initrc_exec_t,s0)
+/usr/lib/squid/cachemgr\.cgi	--	gen_context(system_u:object_r:squid_script_exec_t,s0)
 
-/usr/lib/squid/cachemgr\.cgi	--	gen_context(system_u:object_r:httpd_squid_script_exec_t,s0)
+/usr/sbin/lightparser.pl --	gen_context(system_u:object_r:squid_cron_exec_t,s0)
 
 /usr/sbin/squid	--	gen_context(system_u:object_r:squid_exec_t,s0)
 
 /usr/share/squid(/.*)?	gen_context(system_u:object_r:squid_conf_t,s0)
+/usr/share/lightsquid/cgi(/.*)? gen_context(system_u:object_r:squid_script_exec_t,s0)
 
 /var/cache/squid(/.*)?	gen_context(system_u:object_r:squid_cache_t,s0)
 
 /var/log/squid(/.*)?	gen_context(system_u:object_r:squid_log_t,s0)
 /var/log/squidGuard(/.*)?	gen_context(system_u:object_r:squid_log_t,s0)
 
-/var/run/squid\.pid	--	gen_context(system_u:object_r:squid_var_run_t,s0)
+/var/run/squid.*	gen_context(system_u:object_r:squid_var_run_t,s0)
 
-/var/spool/squid(/.*)?	gen_context(system_u:object_r:squid_cache_t,s0)
+/var/spool/squid(/.*)?		gen_context(system_u:object_r:squid_cache_t,s0)
+/var/squidGuard(/.*)?		gen_context(system_u:object_r:squid_cache_t,s0)
 
-/var/squidGuard(/.*)?	gen_context(system_u:object_r:squid_cache_t,s0)
+/var/lightsquid(/.*)?		gen_context(system_u:object_r:squid_cache_t,s0)
Index: serefpolicy-contrib-20140730/squid.if
===================================================================
--- serefpolicy-contrib-20140730.orig/squid.if
+++ serefpolicy-contrib-20140730/squid.if
@@ -72,7 +72,7 @@ interface(`squid_rw_stream_sockets',`
 		type squid_t;
 	')
 
-	allow $1 squid_t:unix_stream_socket { getattr read write };
+	allow $1 squid_t:unix_stream_socket rw_socket_perms;
 ')
 
 ########################################
@@ -85,7 +85,6 @@ interface(`squid_rw_stream_sockets',`
 ##	Domain to not audit.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`squid_dontaudit_search_cache',`
 	gen_require(`
@@ -213,9 +212,13 @@ interface(`squid_admin',`
 		type squid_initrc_exec_t, squid_tmp_t;
 	')
 
-	allow $1 squid_t:process { ptrace signal_perms };
+	allow $1 squid_t:process signal_perms;
 	ps_process_pattern($1, squid_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 squid_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, squid_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 squid_initrc_exec_t system_r;
Index: serefpolicy-contrib-20140730/squid.te
===================================================================
--- serefpolicy-contrib-20140730.orig/squid.te
+++ serefpolicy-contrib-20140730/squid.te
@@ -1,4 +1,4 @@
-policy_module(squid, 1.13.0)
+policy_module(squid, 1.12.1)
 
 ########################################
 #
@@ -29,7 +29,7 @@ type squid_cache_t;
 files_type(squid_cache_t)
 
 type squid_conf_t;
-files_type(squid_conf_t)
+files_config_file(squid_conf_t)
 
 type squid_initrc_exec_t;
 init_script_file(squid_initrc_exec_t)
@@ -37,15 +37,22 @@ init_script_file(squid_initrc_exec_t)
 type squid_log_t;
 logging_log_file(squid_log_t)
 
+type squid_tmpfs_t;
+files_tmpfs_file(squid_tmpfs_t)
+
 type squid_tmp_t;
 files_tmp_file(squid_tmp_t)
 
-type squid_tmpfs_t;
-files_tmpfs_file(squid_tmpfs_t)
 
 type squid_var_run_t;
 files_pid_file(squid_var_run_t)
 
+type squid_cron_t;
+type squid_cron_exec_t;
+init_daemon_domain(squid_cron_t, squid_cron_exec_t)
+application_domain(squid_cron_t, squid_cron_exec_t)
+role system_r types squid_cron_t;
+
 ########################################
 #
 # Local policy
@@ -78,15 +85,18 @@ manage_files_pattern(squid_t, squid_log_
 manage_lnk_files_pattern(squid_t, squid_log_t, squid_log_t)
 logging_log_filetrans(squid_t, squid_log_t, { file dir })
 
+manage_files_pattern(squid_t, squid_tmpfs_t, squid_tmpfs_t)
+manage_dirs_pattern(squid_t, squid_tmpfs_t, squid_tmpfs_t)
+fs_tmpfs_filetrans(squid_t, squid_tmpfs_t, { dir file })
+
 manage_dirs_pattern(squid_t, squid_tmp_t, squid_tmp_t)
 manage_files_pattern(squid_t, squid_tmp_t, squid_tmp_t)
 files_tmp_filetrans(squid_t, squid_tmp_t, { file dir })
 
-manage_files_pattern(squid_t, squid_tmpfs_t, squid_tmpfs_t)
-fs_tmpfs_filetrans(squid_t, squid_tmpfs_t, file)
-
+manage_dirs_pattern(squid_t, squid_var_run_t, squid_var_run_t)
 manage_files_pattern(squid_t, squid_var_run_t, squid_var_run_t)
-files_pid_filetrans(squid_t, squid_var_run_t, file)
+manage_sock_files_pattern(squid_t, squid_var_run_t, squid_var_run_t)
+files_pid_filetrans(squid_t, squid_var_run_t, { dir file sock_file })
 
 can_exec(squid_t, squid_exec_t)
 
@@ -94,7 +104,6 @@ kernel_read_kernel_sysctls(squid_t)
 kernel_read_system_state(squid_t)
 kernel_read_network_state(squid_t)
 
-corenet_all_recvfrom_unlabeled(squid_t)
 corenet_all_recvfrom_netlabel(squid_t)
 corenet_tcp_sendrecv_generic_if(squid_t)
 corenet_udp_sendrecv_generic_if(squid_t)
@@ -132,6 +141,7 @@ corenet_tcp_sendrecv_gopher_port(squid_t
 corenet_udp_sendrecv_gopher_port(squid_t)
 
 corenet_sendrecv_squid_server_packets(squid_t)
+corenet_sendrecv_squid_client_packets(squid_t)
 corenet_tcp_bind_squid_port(squid_t)
 corenet_udp_bind_squid_port(squid_t)
 corenet_tcp_sendrecv_squid_port(squid_t)
@@ -154,7 +164,6 @@ dev_read_urand(squid_t)
 domain_use_interactive_fds(squid_t)
 
 files_read_etc_runtime_files(squid_t)
-files_read_usr_files(squid_t)
 files_search_spool(squid_t)
 files_dontaudit_getattr_tmp_dirs(squid_t)
 files_getattr_home_dir(squid_t)
@@ -176,7 +185,6 @@ libs_exec_lib_files(squid_t)
 logging_send_syslog_msg(squid_t)
 
 miscfiles_read_generic_certs(squid_t)
-miscfiles_read_localization(squid_t)
 
 userdom_use_unpriv_users_fds(squid_t)
 userdom_dontaudit_search_user_home_dirs(squid_t)
@@ -197,28 +205,31 @@ tunable_policy(`squid_use_tproxy',`
 
 optional_policy(`
 	apache_content_template(squid)
+	apache_content_alias_template(squid, squid)
 
-	corenet_all_recvfrom_unlabeled(httpd_squid_script_t)
-	corenet_all_recvfrom_netlabel(httpd_squid_script_t)
-	corenet_tcp_sendrecv_generic_if(httpd_squid_script_t)
-	corenet_tcp_sendrecv_generic_node(httpd_squid_script_t)
+	allow squid_script_t self:tcp_socket create_socket_perms;
 
-	corenet_sendrecv_http_cache_client_packets(httpd_squid_script_t)
-	corenet_tcp_connect_http_cache_port(httpd_squid_script_t)
-	corenet_tcp_sendrecv_http_cache_port(httpd_squid_script_t)
+	corenet_all_recvfrom_unlabeled(squid_script_t)
+	corenet_all_recvfrom_netlabel(squid_script_t)
+	corenet_tcp_sendrecv_generic_if(squid_script_t)
+	corenet_tcp_sendrecv_generic_node(squid_script_t)
 
-	sysnet_dns_name_resolve(httpd_squid_script_t)
+	corenet_sendrecv_http_cache_client_packets(squid_script_t)
+	corenet_tcp_connect_http_cache_port(squid_script_t)
+	corenet_tcp_sendrecv_http_cache_port(squid_script_t)
 
-	squid_read_config(httpd_squid_script_t)
-')
+	corenet_tcp_connect_squid_port(squid_script_t)
 
-optional_policy(`
-	cron_system_entry(squid_t, squid_exec_t)
+	sysnet_dns_name_resolve(squid_script_t)
+
+	optional_policy(`
+		squid_read_config(squid_script_t)
+	')
 ')
 
 optional_policy(`
-	kerberos_manage_host_rcache(squid_t)
-	kerberos_tmp_filetrans_host_rcache(squid_t, file, "host_0")
+    kerberos_tmp_filetrans_host_rcache(squid_t, "host_0")
+    kerberos_manage_host_rcache(squid_t)
 ')
 
 optional_policy(`
@@ -236,3 +247,24 @@ optional_policy(`
 optional_policy(`
 	udev_read_db(squid_t)
 ')
+
+########################################
+#
+# squid cron Local policy
+#
+manage_dirs_pattern(squid_cron_t, squid_cache_t, squid_cache_t)
+manage_files_pattern(squid_cron_t, squid_cache_t, squid_cache_t)
+manage_lnk_files_pattern(squid_cron_t, squid_cache_t, squid_cache_t)
+files_var_filetrans(squid_cron_t, squid_cache_t, dir, "squid")
+
+read_files_pattern(squid_cron_t, squid_conf_t, squid_conf_t)
+
+read_files_pattern(squid_cron_t, squid_log_t, squid_log_t)
+
+corecmd_exec_bin(squid_cron_t)
+
+dev_read_urand(squid_cron_t)
+
+optional_policy(`
+	cron_system_entry(squid_cron_t, squid_cron_exec_t)
+')
Index: serefpolicy-contrib-20140730/sssd.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/sssd.fc
+++ serefpolicy-contrib-20140730/sssd.fc
@@ -1,15 +1,17 @@
 /etc/rc\.d/init\.d/sssd	--	gen_context(system_u:object_r:sssd_initrc_exec_t,s0)
 
-/etc/sssd(/.*)?	gen_context(system_u:object_r:sssd_conf_t,s0)
+/etc/sssd(/.*)?			gen_context(system_u:object_r:sssd_conf_t,s0)
 
-/usr/sbin/sssd	--	gen_context(system_u:object_r:sssd_exec_t,s0)
+/usr/sbin/sssd		--	gen_context(system_u:object_r:sssd_exec_t,s0)
 
-/var/lib/sss(/.*)?	gen_context(system_u:object_r:sssd_var_lib_t,s0)
+/usr/lib/systemd/system/sssd.*      --      gen_context(system_u:object_r:sssd_unit_file_t,s0)
 
-/var/lib/sss/mc(/.*)?	gen_context(system_u:object_r:sssd_public_t,s0)
+/var/lib/sss(/.*)?		gen_context(system_u:object_r:sssd_var_lib_t,s0)
+
+/var/lib/sss/mc(/.*)?		gen_context(system_u:object_r:sssd_public_t,s0)
 
 /var/lib/sss/pubconf(/.*)?	gen_context(system_u:object_r:sssd_public_t,s0)
 
-/var/log/sssd(/.*)?	gen_context(system_u:object_r:sssd_var_log_t,s0)
+/var/log/sssd(/.*)?		gen_context(system_u:object_r:sssd_var_log_t,s0)
 
-/var/run/sssd\.pid	--	gen_context(system_u:object_r:sssd_var_run_t,s0)
+/var/run/sssd.pid	--	gen_context(system_u:object_r:sssd_var_run_t,s0)
Index: serefpolicy-contrib-20140730/sssd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/sssd.if
+++ serefpolicy-contrib-20140730/sssd.if
@@ -1,21 +1,21 @@
-## <summary>System Security Services Daemon.</summary>
+## <summary>System Security Services Daemon</summary>
 
 #######################################
 ## <summary>
-##	Get attributes of sssd executable files.
+##  Allow a domain to getattr on sssd binary.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
 ## </param>
 #
 interface(`sssd_getattr_exec',`
-	gen_require(`
-		type sssd_exec_t;
-	')
+    gen_require(`
+        type sssd_t, sssd_exec_t;
+    ')
 
-	allow $1 sssd_exec_t:file getattr_file_perms;
+	allow $1 sssd_exec_t:file getattr;
 ')
 
 ########################################
@@ -33,14 +33,12 @@ interface(`sssd_domtrans',`
 		type sssd_t, sssd_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, sssd_exec_t, sssd_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute sssd init scripts in
-##	the initrc domain.
+##	Execute sssd server in the sssd domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -56,49 +54,90 @@ interface(`sssd_initrc_domtrans',`
 	init_labeled_script_domtrans($1, sssd_initrc_exec_t)
 ')
 
+########################################
+## <summary>
+##     Execute sssd server in the sssd domain.
+## </summary>
+## <param name="domain">
+##     <summary>
+##     Domain allowed to transition.
+##     </summary>
+## </param>
+#
+interface(`sssd_systemctl',`
+       gen_require(`
+               type sssd_t;
+               type sssd_unit_file_t;
+       ')
+
+       systemd_exec_systemctl($1)
+       allow $1 sssd_unit_file_t:file read_file_perms;
+       allow $1 sssd_unit_file_t:service manage_service_perms;
+
+       ps_process_pattern($1, sssd_t)
+')
+
 #######################################
 ## <summary>
-##	Read sssd configuration content.
+##  Read sssd configuration.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
 #
 interface(`sssd_read_config',`
-	gen_require(`
-		type sssd_conf_t;
-	')
-
-	files_search_etc($1)
-	list_dirs_pattern($1, sssd_conf_t, sssd_conf_t)
-	read_files_pattern($1, sssd_conf_t, sssd_conf_t)
+    gen_require(`
+        type sssd_conf_t;
+    ')
+
+    files_search_etc($1)
+    list_dirs_pattern($1, sssd_conf_t, sssd_conf_t)
+    read_files_pattern($1, sssd_conf_t, sssd_conf_t)
 ')
 
 ######################################
 ## <summary>
-##	Write sssd configuration files.
+##  Write sssd configuration.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
 #
 interface(`sssd_write_config',`
-	gen_require(`
-		type sssd_conf_t;
-	')
+    gen_require(`
+        type sssd_conf_t;
+    ')
 
-	files_search_etc($1)
-	write_files_pattern($1, sssd_conf_t, sssd_conf_t)
+    files_search_etc($1)
+    write_files_pattern($1, sssd_conf_t, sssd_conf_t)
+')
+
+#####################################
+## <summary>
+##  Write sssd configuration.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`sssd_create_config',`
+    gen_require(`
+        type sssd_conf_t;
+    ')
+
+    files_search_etc($1)
+    create_files_pattern($1, sssd_conf_t, sssd_conf_t)
 ')
 
 ####################################
 ## <summary>
-##	Create, read, write, and delete
-##	sssd configuration files.
+##  Manage sssd configuration.
 ## </summary>
 ## <param name="domain">
 ##  <summary>
@@ -107,12 +146,12 @@ interface(`sssd_write_config',`
 ## </param>
 #
 interface(`sssd_manage_config',`
-	gen_require(`
-		type sssd_conf_t;
-	')
+    gen_require(`
+        type sssd_conf_t;
+    ')
 
-	files_search_etc($1)
-	manage_files_pattern($1, sssd_conf_t, sssd_conf_t)
+    files_search_etc($1)
+    manage_files_pattern($1, sssd_conf_t, sssd_conf_t)
 ')
 
 ########################################
@@ -131,14 +170,13 @@ interface(`sssd_read_public_files',`
 	')
 
 	sssd_search_lib($1)
-	allow $1 sssd_public_t:dir list_dir_perms;
+	list_dirs_pattern($1, sssd_public_t, sssd_public_t)
 	read_files_pattern($1, sssd_public_t, sssd_public_t)
 ')
 
-#######################################
+########################################
 ## <summary>
-##	Create, read, write, and delete
-##	sssd public files.
+##	Dontaudit read sssd public files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -146,18 +184,36 @@ interface(`sssd_read_public_files',`
 ##	</summary>
 ## </param>
 #
-interface(`sssd_manage_public_files',`
+interface(`sssd_dontaudit_read_public_files',`
 	gen_require(`
 		type sssd_public_t;
 	')
 
-	sssd_search_lib($1)
-	manage_files_pattern($1, sssd_public_t, sssd_public_t)
+	dontaudit $1 sssd_public_t:file read_file_perms;
+')
+
+#######################################
+## <summary>
+##  Manage sssd public files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`sssd_manage_public_files',`
+    gen_require(`
+        type sssd_public_t;
+    ')
+
+    sssd_search_lib($1)
+    manage_files_pattern($1, sssd_public_t, sssd_public_t)
 ')
 
 ########################################
 ## <summary>
-##	Read sssd pid files.
+##	Read sssd PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -176,8 +232,7 @@ interface(`sssd_read_pid_files',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	sssd pid content.
+##	Manage sssd var_run files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -216,8 +271,7 @@ interface(`sssd_search_lib',`
 
 ########################################
 ## <summary>
-##	Do not audit attempts to search
-##	sssd lib directories.
+##	Do not audit attempts to search sssd lib directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -235,6 +289,24 @@ interface(`sssd_dontaudit_search_lib',`
 
 ########################################
 ## <summary>
+##	Do not audit attempts to read sssd lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`sssd_dontaudit_read_lib',`
+	gen_require(`
+		type sssd_var_lib_t;
+	')
+
+	dontaudit $1 sssd_var_lib_t:file read_file_perms;
+')
+
+########################################
+## <summary>
 ##	Read sssd lib files.
 ## </summary>
 ## <param name="domain">
@@ -297,8 +369,7 @@ interface(`sssd_dbus_chat',`
 
 ########################################
 ## <summary>
-##	Connect to sssd with a unix
-##	domain stream socket.
+##	Connect to sssd over a unix stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -317,8 +388,27 @@ interface(`sssd_stream_connect',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an sssd environment.
+##	Dontaudit attempts to connect to sssd over a unix stream socket.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`sssd_dontaudit_stream_connect',`
+	gen_require(`
+		type sssd_t, sssd_var_lib_t;
+	')
+
+	dontaudit $1 sssd_t:unix_stream_socket connectto;
+	dontaudit $1 sssd_var_lib_t:sock_file { read write };
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an sssd environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -327,7 +417,7 @@ interface(`sssd_stream_connect',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the sssd domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
@@ -335,27 +425,29 @@ interface(`sssd_stream_connect',`
 interface(`sssd_admin',`
 	gen_require(`
 		type sssd_t, sssd_public_t, sssd_initrc_exec_t;
-		type sssd_var_lib_t, sssd_var_run_t, sssd_conf_t;
-		type sssd_log_t;
+		type sssd_unit_file_t;
 	')
 
-	allow $1 sssd_t:process { ptrace signal_perms };
+	allow $1 sssd_t:process signal_perms;
 	ps_process_pattern($1, sssd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 sssd_t:process ptrace;
+	')
 
+	# Allow sssd_t to restart the apache service
 	sssd_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 sssd_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_etc($1)
-	admin_pattern($1, sssd_conf_t)
+	sssd_manage_pids($1)
 
-	files_search_var_lib($1)
-	admin_pattern($1, { sssd_var_lib_t sssd_public_t })
+	sssd_manage_lib_files($1)
 
-	files_search_pids($1)
-	admin_pattern($1, sssd_var_run_t)
+	admin_pattern($1, sssd_public_t)
+
+	sssd_systemctl($1)
+	admin_pattern($1, sssd_unit_file_t)
+	allow $1 sssd_unit_file_t:service all_service_perms;
 
-	logging_search_logs($1)
-	admin_pattern($1, sssd_log_t)
 ')
Index: serefpolicy-contrib-20140730/sssd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/sssd.te
+++ serefpolicy-contrib-20140730/sssd.te
@@ -28,9 +28,12 @@ logging_log_file(sssd_var_log_t)
 type sssd_var_run_t;
 files_pid_file(sssd_var_run_t)
 
+type sssd_unit_file_t;
+systemd_unit_file(sssd_unit_file_t)
+
 ########################################
 #
-# Local policy
+# sssd local policy
 #
 
 allow sssd_t self:capability { chown dac_read_search dac_override kill net_admin sys_nice setgid setuid sys_admin sys_resource };
@@ -38,7 +41,7 @@ allow sssd_t self:capability2 block_susp
 allow sssd_t self:process { setfscreate setsched sigkill signal getsched setrlimit };
 allow sssd_t self:fifo_file rw_fifo_file_perms;
 allow sssd_t self:key manage_key_perms;
-allow sssd_t self:unix_stream_socket { accept connectto listen };
+allow sssd_t self:unix_stream_socket { create_stream_socket_perms connectto };
 
 read_files_pattern(sssd_t, sssd_conf_t, sssd_conf_t)
 
@@ -51,9 +54,7 @@ manage_lnk_files_pattern(sssd_t, sssd_va
 manage_sock_files_pattern(sssd_t, sssd_var_lib_t, sssd_var_lib_t)
 files_var_lib_filetrans(sssd_t, sssd_var_lib_t, { file dir })
 
-append_files_pattern(sssd_t, sssd_var_log_t, sssd_var_log_t)
-create_files_pattern(sssd_t, sssd_var_log_t, sssd_var_log_t)
-setattr_files_pattern(sssd_t, sssd_var_log_t, sssd_var_log_t)
+manage_files_pattern(sssd_t, sssd_var_log_t, sssd_var_log_t)
 logging_log_filetrans(sssd_t, sssd_var_log_t, file)
 
 manage_dirs_pattern(sssd_t, sssd_var_run_t, sssd_var_run_t)
@@ -62,17 +63,12 @@ files_pid_filetrans(sssd_t, sssd_var_run
 
 kernel_read_network_state(sssd_t)
 kernel_read_system_state(sssd_t)
+kernel_request_load_module(sssd_t)
 
-corenet_all_recvfrom_unlabeled(sssd_t)
-corenet_all_recvfrom_netlabel(sssd_t)
-corenet_udp_sendrecv_generic_if(sssd_t)
-corenet_udp_sendrecv_generic_node(sssd_t)
-corenet_udp_sendrecv_all_ports(sssd_t)
-corenet_udp_bind_generic_node(sssd_t)
-
-corenet_sendrecv_generic_server_packets(sssd_t)
 corenet_udp_bind_generic_port(sssd_t)
 corenet_dontaudit_udp_bind_all_ports(sssd_t)
+corenet_tcp_connect_kerberos_password_port(sssd_t)
+corenet_tcp_connect_smbd_port(sssd_t)
 
 corecmd_exec_bin(sssd_t)
 
@@ -83,9 +79,7 @@ domain_read_all_domains_state(sssd_t)
 domain_obj_id_change_exemption(sssd_t)
 
 files_list_tmp(sssd_t)
-files_read_etc_files(sssd_t)
 files_read_etc_runtime_files(sssd_t)
-files_read_usr_files(sssd_t)
 files_list_var_lib(sssd_t)
 
 fs_list_inotifyfs(sssd_t)
@@ -94,17 +88,20 @@ selinux_validate_context(sssd_t)
 
 seutil_read_file_contexts(sssd_t)
 # sssd wants to write /etc/selinux/<policy>/logins/ for SELinux PAM module
-# seutil_rw_login_config_dirs(sssd_t)
-# seutil_manage_login_config_files(sssd_t)
+seutil_rw_login_config_dirs(sssd_t)
+seutil_manage_login_config_files(sssd_t)
 
 mls_file_read_to_clearance(sssd_t)
 mls_socket_read_to_clearance(sssd_t)
 mls_socket_write_to_clearance(sssd_t)
 mls_trusted_object(sssd_t)
 
+# auth_use_nsswitch(sssd_t)
 auth_domtrans_chk_passwd(sssd_t)
 auth_domtrans_upd_passwd(sssd_t)
 auth_manage_cache(sssd_t)
+# Bogus allow because we don't handle keyring properly in code.
+auth_login_manage_key(sssd_t)
 
 init_read_utmp(sssd_t)
 
@@ -112,18 +109,34 @@ logging_send_syslog_msg(sssd_t)
 logging_send_audit_msgs(sssd_t)
 
 miscfiles_read_generic_certs(sssd_t)
-miscfiles_read_localization(sssd_t)
 
 sysnet_dns_name_resolve(sssd_t)
 sysnet_use_ldap(sssd_t)
 
+userdom_manage_tmp_role(system_r, sssd_t)
+userdom_manage_all_users_keys(sssd_t)
+userdom_home_reader(sssd_t)
+
 optional_policy(`
 	dbus_system_bus_client(sssd_t)
 	dbus_connect_system_bus(sssd_t)
 ')
 
 optional_policy(`
-	kerberos_read_config(sssd_t)
 	kerberos_manage_host_rcache(sssd_t)
-	kerberos_tmp_filetrans_host_rcache(sssd_t, file, "host_0")
+	kerberos_tmp_filetrans_host_rcache(sssd_t, "host_0")
+	kerberos_read_home_content(sssd_t)
+')
+
+optional_policy(`
+	dirsrv_stream_connect(sssd_t)
+')
+
+optional_policy(`
+	ldap_stream_connect(sssd_t)
+	ldap_read_certs(sssd_t)
+')
+
+optional_policy(`
+	systemd_login_read_pid_files(sssd_t)
 ')
Index: serefpolicy-contrib-20140730/stapserver.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/stapserver.fc
@@ -0,0 +1,7 @@
+/usr/bin/stap-server		--	gen_context(system_u:object_r:stapserver_exec_t,s0)
+
+/var/lib/stap-server(/.*)?		gen_context(system_u:object_r:stapserver_var_lib_t,s0)
+
+/var/log/stap-server(/.*)?		gen_context(system_u:object_r:stapserver_log_t,s0)
+
+/var/run/stap-server(/.*)?		gen_context(system_u:object_r:stapserver_var_run_t,s0)
Index: serefpolicy-contrib-20140730/stapserver.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/stapserver.if
@@ -0,0 +1,151 @@
+
+## <summary> Instrumentation System Server </summary>
+
+########################################
+## <summary>
+##	Execute stapserver in the stapserver domain.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`stapserver_domtrans',`
+	gen_require(`
+		type stapserver_t, stapserver_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, stapserver_exec_t, stapserver_t)
+')
+########################################
+## <summary>
+##	Read stapserver's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`stapserver_read_log',`
+	gen_require(`
+		type stapserver_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, stapserver_log_t, stapserver_log_t)
+')
+
+########################################
+## <summary>
+##	Append to stapserver log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`stapserver_append_log',`
+	gen_require(`
+		type stapserver_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, stapserver_log_t, stapserver_log_t)
+')
+
+########################################
+## <summary>
+##	Manage stapserver log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`stapserver_manage_log',`
+	gen_require(`
+		type stapserver_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, stapserver_log_t, stapserver_log_t)
+	manage_files_pattern($1, stapserver_log_t, stapserver_log_t)
+	manage_lnk_files_pattern($1, stapserver_log_t, stapserver_log_t)
+')
+########################################
+## <summary>
+##	Read stapserver PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`stapserver_read_pid_files',`
+	gen_require(`
+		type stapserver_var_run_t;
+	')
+
+	files_search_pids($1)
+	allow $1 stapserver_var_run_t:file read_file_perms;
+')
+
+#######################################
+## <summary>
+##      Manage stapserver lib files
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`stapserver_manage_lib',`
+        gen_require(`
+                type stapserver_var_lib_t;
+        ')
+
+        manage_dirs_pattern($1, stapserver_var_lib_t, stapserver_var_lib_t)
+        manage_files_pattern($1, stapserver_var_lib_t, stapserver_var_lib_t)
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an stapserver environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`stapserver_admin',`
+	gen_require(`
+		type stapserver_t;
+		type stapserver_log_t;
+		type stapserver_var_run_t;
+	')
+
+	allow $1 stapserver_t:process { ptrace signal_perms };
+	ps_process_pattern($1, stapserver_t)
+
+	logging_search_logs($1)
+	admin_pattern($1, stapserver_log_t)
+
+	files_search_pids($1)
+	admin_pattern($1, stapserver_var_run_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
